Summary: Toshiba ACPI hot-key daemon.
Name: fnfx
Version: 0.3
Release: 4%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://fnfx.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/fnfx/%{name}-%{version}.tar.gz
Source1: fnfx.init
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
FnFX enables owners of Toshiba laptops to change the LCD brightness,
control, the internal fan and use the special keys on their keyboard
(Fn-x combinations, hot-keys).

The internal functions will give the possibility to map the Fn-Keys to
functions like volume up/down, mute, suspend to disk, suspend to ram
and switch LCD/CRT/TV-out. These functions heavily depend on the
system and/or kernel configuration. You will need at least a kernel
(v2.4.x, v2.5.x, v2.6.x) with ACPI and Toshiba support (CONFIG_ACPI
and CONFIG_ACPI_TOSHIBA).

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_sysconfdir}/fnfx/fnfxrc_example
mkdir -p %{buildroot}%{_initdir}
install -p %{SOURCE1} %{buildroot}%{_initdir}/fnfxd

%post
/sbin/chkconfig --add fnfxd

%preun
if [ $1 = 0 ]; then
	/sbin/service fnfxd stop > /dev/null 2>&1
	/sbin/chkconfig --del fnfxd
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README* NEWS AUTHORS COPYING ChangeLog
%doc etc/fnfxrc_example
%{_bindir}/fnfx
%{_sbindir}/fnfxd
%dir %{_sysconfdir}/fnfx
%config(noreplace) %{_sysconfdir}/fnfx/fnfxd.conf
%config(noreplace) %{_sysconfdir}/fnfx/keymap
%{_initdir}/fnfxd

%changelog
* Sat Nov 20 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.3.

* Wed Aug 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

